%define name	quodlibet
%define version	0.12
%define release 1mdk

Name: 	 	%{name}
Summary: 	Advanced, elegant jukebox style music player
Version: 	%{version}
Release: 	%{release}

Source:		http://www.sacredchao.net/~piman/software/%{name}-%{version}.tar.bz2
URL:		http://www.sacredchao.net/quodlibet/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	python pygtk2.0
BuildRequires:	pyvorbis pymad pyao
Requires:	python pygtk2.0
Requires:	python-flac python-modplug python-musepack
Requires:	pyvorbis pymad pyao
BuildArch:	noarch

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file. And it lets you do this for all the file formats it supports --
Ogg Vorbis, FLAC, MP3, Musepack, and MOD.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD. 

%prep
%setup -q
perl -pi -e 's/lib\/quodlibet/share\/quodlibet/' Makefile
perl -pi -e 's/usr\/local/usr/g' Makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=%buildroot make install

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Quod Libet" longtitle="Advanced music player" section="Multimedia/Sound"
?package(%{name}): command="exfalso" icon="exfalso.png" needs="x11" title="Ex Falso" longtitle="Music tag editor" section="Multimedia/Sound"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
convert -size 48x48 exfalso.png $RPM_BUILD_ROOT/%_liconsdir/exfalso.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
convert -size 32x32 exfalso.png $RPM_BUILD_ROOT/%_iconsdir/exfalso.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png
convert -size 16x16 exfalso.png $RPM_BUILD_ROOT/%_miconsdir/exfalso.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/%name
%{_bindir}/exfalso
%{_datadir}/%name
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_liconsdir}/exfalso.png
%{_iconsdir}/%name.png
%{_iconsdir}/exfalso.png
%{_miconsdir}/%name.png
%{_miconsdir}/exfalso.png

%changelog
* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.12-1mdk
- initial package
